# DataExchange
TKSTEPBase
StepGeom

# StepGeom_BSplineCurve Class Reference

`#include <StepGeom_BSplineCurve.hxx>`

Inheritance diagram for StepGeom_BSplineCurve:

[legend]

## Public Member Functions

Standard_EXPORT | StepGeom_BSplineCurve ()
| Returns a BSplineCurve .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Standard_Integer aDegree, const Handle(StepGeom_HArray1OfCartesianPoint)&aControlPointsList, const StepGeom_BSplineCurveForm aCurveForm, const StepData_Logical aClosedCurve, const StepData_Logical aSelfIntersect)
Standard_EXPORT void | SetDegree (const Standard_Integer aDegree)
Standard_EXPORT Standard_Integer | Degree () const
Standard_EXPORT void | SetControlPointsList (const Handle(StepGeom_HArray1OfCartesianPoint)&aControlPointsList)
Standard_EXPORT Handle_StepGeom_HArray1OfCartesianPoint | ControlPointsList () const
Standard_EXPORT Handle_StepGeom_CartesianPoint | ControlPointsListValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbControlPointsList () const
Standard_EXPORT void | SetCurveForm (const StepGeom_BSplineCurveForm aCurveForm)
Standard_EXPORT StepGeom_BSplineCurveForm | CurveForm () const
Standard_EXPORT void | SetClosedCurve (const StepData_Logical aClosedCurve)
Standard_EXPORT StepData_Logical | ClosedCurve () const
Standard_EXPORT void | SetSelfIntersect (const StepData_Logical aSelfIntersect)
Standard_EXPORT StepData_Logical | SelfIntersect () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | degree
Handle_StepGeom_HArray1OfCartesianPoint | controlPointsList
StepGeom_BSplineCurveForm | curveForm
StepData_Logical | closedCurve
StepData_Logical | selfIntersect

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_BSplineCurve::StepGeom_BSplineCurve | ( |  | ) |

## Member Function Documentation

Standard_EXPORT StepData_Logical StepGeom_BSplineCurve::ClosedCurve | ( |  | ) | const

Standard_EXPORT Handle_StepGeom_HArray1OfCartesianPoint StepGeom_BSplineCurve::ControlPointsList | ( |  | ) | const

Standard_EXPORT Handle_StepGeom_CartesianPoint StepGeom_BSplineCurve::ControlPointsListValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT StepGeom_BSplineCurveForm StepGeom_BSplineCurve::CurveForm | ( |  | ) | const

Standard_EXPORT Standard_Integer StepGeom_BSplineCurve::Degree | ( |  | ) | const

Standard_EXPORT const StepGeom_BSplineCurve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_BoundedCurve. Reimplemented in StepGeom_BezierCurve, StepGeom_BezierCurveAndRationalBSplineCurve, StepGeom_BSplineCurveWithKnots, StepGeom_BSplineCurveWithKnotsAndRationalBSplineCurve, StepGeom_QuasiUniformCurve, StepGeom_QuasiUniformCurveAndRationalBSplineCurve, StepGeom_RationalBSplineCurve, StepGeom_UniformCurve, and StepGeom_UniformCurveAndRationalBSplineCurve.

virtual Standard_EXPORT void StepGeom_BSplineCurve::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Standard_Integer | aDegree,
|  | const Handle(StepGeom_HArray1OfCartesianPoint)& | aControlPointsList,
|  | const StepGeom_BSplineCurveForm | aCurveForm,
|  | const StepData_Logical | aClosedCurve,
|  | const StepData_Logical | aSelfIntersect
| ) | `[virtual]`

| Reimplemented in StepGeom_BezierCurveAndRationalBSplineCurve, StepGeom_BSplineCurveWithKnots, StepGeom_BSplineCurveWithKnotsAndRationalBSplineCurve, StepGeom_QuasiUniformCurveAndRationalBSplineCurve, StepGeom_RationalBSplineCurve, and StepGeom_UniformCurveAndRationalBSplineCurve.

virtual Standard_EXPORT void StepGeom_BSplineCurve::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT Standard_Integer StepGeom_BSplineCurve::NbControlPointsList | ( |  | ) | const

Standard_EXPORT StepData_Logical StepGeom_BSplineCurve::SelfIntersect | ( |  | ) | const

Standard_EXPORT void StepGeom_BSplineCurve::SetClosedCurve | ( | const StepData_Logical | aClosedCurve | ) |

Standard_EXPORT void StepGeom_BSplineCurve::SetControlPointsList | ( | const Handle(StepGeom_HArray1OfCartesianPoint)& | aControlPointsList | ) |

Standard_EXPORT void StepGeom_BSplineCurve::SetCurveForm | ( | const StepGeom_BSplineCurveForm | aCurveForm | ) |

Standard_EXPORT void StepGeom_BSplineCurve::SetDegree | ( | const Standard_Integer | aDegree | ) |

Standard_EXPORT void StepGeom_BSplineCurve::SetSelfIntersect | ( | const StepData_Logical | aSelfIntersect | ) |

## Field Documentation

StepData_Logical StepGeom_BSplineCurve::closedCurve `[private]`

Handle_StepGeom_HArray1OfCartesianPoint StepGeom_BSplineCurve::controlPointsList `[private]`

StepGeom_BSplineCurveForm StepGeom_BSplineCurve::curveForm `[private]`

Standard_Integer StepGeom_BSplineCurve::degree `[private]`

StepData_Logical StepGeom_BSplineCurve::selfIntersect `[private]`

The documentation for this class was generated from the following file:

- StepGeom_BSplineCurve.hxx